be.ehealth.businessconnector.hub.service

## Class ServiceFactory

- java.lang.Object
- - be.ehealth.businessconnector.hub.service.ServiceFactory

-     public final class ServiceFactory
      extends Object

  A factory for `IntraHubService`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INTRAHUB_PROTOCOL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenericRequest` | `getIntraHubPort(SAMLToken token, String soapAction)` Gets the consultation service.
    `static GenericRequest` | `getIntraHubPortWithFolderEncryption(SAMLToken token, Crypto crypto, String soapAction)` Deprecated. Use the same function without crypto
    `static GenericRequest` | `getIntraHubPortWithFolderEncryption(SAMLToken token, String soapAction)`
    `static IntraHubService` | `getIntraHubService()` Gets the `IntraHubService`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INTRAHUB_PROTOCOL

          public static final String INTRAHUB_PROTOCOL

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getIntraHubPort

          public static GenericRequest getIntraHubPort(SAMLToken token,
                                                       String soapAction)
                                                throws MalformedURLException,
                                                       TechnicalConnectorException,
                                                       IntraHubBusinessConnectorException

      Gets the consultation service.
      Parameters:
        `token` - the token
      Returns:
        the consultation service
      Throws:
        `MalformedURLException` - the malformed url exception
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException`

    - #### getIntraHubPortWithFolderEncryption

          @Deprecated
          public static GenericRequest getIntraHubPortWithFolderEncryption(SAMLToken token,
                                                                                        Crypto crypto,
                                                                                        String soapAction)
                                                                                 throws MalformedURLException,
                                                                                        TechnicalConnectorException,
                                                                                        IntraHubBusinessConnectorException

      Deprecated. Use the same function without crypto
      Gets the consultation service.
      Parameters:
        `token` - the token
        `crypto` -
      Returns:
        the consultation service
      Throws:
        `MalformedURLException` - the malformed url exception
        `TechnicalConnectorException` - the technical connector exception
        `IntraHubBusinessConnectorException`

    - #### getIntraHubPortWithFolderEncryption

          public static GenericRequest getIntraHubPortWithFolderEncryption(SAMLToken token,
                                                                           String soapAction)
                                                                    throws MalformedURLException,
                                                                           TechnicalConnectorException,
                                                                           IntraHubBusinessConnectorException

      Throws:
        `MalformedURLException`
        `TechnicalConnectorException`
        `IntraHubBusinessConnectorException`

    - #### getIntraHubService

          public static IntraHubService getIntraHubService()

      Gets the `IntraHubService`

Connector Package PERSDENTIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.